part of twilio_chat_plugin;

class Member {
  String _identity;

  String _sid;

  String _lastConsumptionTimestamp;

  int _lastConsumedMessageIndex;

  String get identity => _identity;

  String get sid => _sid;

  String get lastConsumptionTimestamp => _lastConsumptionTimestamp;

  int get lastConsumedMessageIndex => _lastConsumedMessageIndex;

  Member.fromJson(Map<String, dynamic> json) {
    _identity = json['identity'];
    _sid = json['sid'];
    _lastConsumptionTimestamp = json['lastConsumptionTimestamp'];
    _lastConsumedMessageIndex = json['lastConsumedMessageIndex'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['identity'] = this.identity;
    data['sid'] = this.sid;
    data['lastConsumptionTimestamp'] = this.lastConsumptionTimestamp;
    data['lastConsumedMessageIndex'] = this.lastConsumedMessageIndex;
    return data;
  }
}
